Skip to main content
POST
Delete memories [Cloud-only]

Authorizations

Authorization
string
header
required

API key issued by EverOS, sent as Authorization: Bearer <api_key>.

Body

application/json
app_id
string
default:default

Scope to delete within, defaulting to "default".

project_id
string
default:default

Second half of the scope, defaulting to "default".

user_id
string | null

Delete this user's memories. At least one of user_id / agent_id / session_id must be given, and user_id / agent_id cannot be combined.

Minimum string length: 1
agent_id
string | null

Delete this agent's memories. Cannot be combined with user_id.

Minimum string length: 1
session_id
string | null

Delete the memories extracted from this session. May be given alone, without an owner.

Response

Successful Response

request_id
string
required

Request trace id (peer to data)

data
DeleteData · object
required

Endpoint-defined business result